NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_hostbyaddr(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_hostbyaddr - Reverse lookup an IP address to its hostname

## Table Of Contents

## Synopsis

- ns_hostbyaddr address

## Description

This command resolves an IP address to its hostname. If the IP address cannot be resolved, it throws an error.

## COMMANDS

ns_hostbyaddr address

  address IP Address to be resolved into hostname

## EXAMPLES

     % ns_hostbyaddr 127.0.0.1
     localhost

     % ns_hostbyaddr 0.0.0.0
     could not lookup 0.0.0.0
         while executing
     "ns_hostbyaddr 0.0.0.0"

## See Also

nsd

## Keywords

ns_addrbyhost